%define package_prefix $RPM_BUILD_ROOT

Name:           cksfv
Version:        1.3.14
Release:        alt1_5
Summary:        Utility to manipulate SFV files

Group:          File tools
License:        GPLv2
URL:            http://zakalwe.fi/~shd/foss/cksfv
Source0:        http://zakalwe.fi/~shd/foss/%{name}/files/%{name}-%{version}.tar.bz2
Source44: import.info

%description
cksfv is a utility that can create and use SFV files. SFV (Simple File
Verification) files are used to verify file integrity using CRC32
checksums.


%prep
%setup -q

# fix rpmlint warnings
iconv -f iso8859-1 -t utf-8 ChangeLog > ChangeLog.conv && mv -f ChangeLog.conv ChangeLog


%build
# custom configure does not take --libdir spec
CFLAGS="%{optflags}" ./configure \
    --bindir=%{_bindir} \
    --mandir=%{_mandir} \
    --prefix=%{_prefix} \
    --package-prefix=%{package_prefix}
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT


%check
make check


%files
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.3.14-alt1_5
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 1.3.14-alt1_4
- update to new release by fcimport

* Wed Jun 20 2012 Igor Vlasenko <viy@altlinux.ru> 1.3.14-alt1_3
- fc import

